Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 810101 (CVE-2021-36084, CVE-2021-36085, CVE-2021-36086, CVE-2021-36087) - sys-libs/libsepol: Multiple vulnerabilities
Summary: sys-libs/libsepol: Multiple vulnerabilities
Status: UNCONFIRMED
Alias: CVE-2021-36084, CVE-2021-36085, CVE-2021-36086, CVE-2021-36087
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL:
Whiteboard: B3 [upstream/ebuild]
Keywords:
Depends on:
Blocks:
 
Reported: 2021-08-24 22:57 UTC by Jonathan Davies
Modified: 2021-08-24 23:04 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Davies 2021-08-24 22:57:16 UTC
CVE-2021-36084[0]:
| The CIL compiler in SELinux 3.2 has a use-after-free in
| __cil_verify_classperms (called from __cil_verify_classpermission and
| __cil_pre_verify_helper).

https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=31065
https://github.com/SELinuxProject/selinux/commit/f34d3d30c8325e4847a6b696fe7a3936a8a361f3
https://github.com/google/oss-fuzz-vulns/blob/main/vulns/selinux/OSV-2021-417.yaml

CVE-2021-36085[1]:
| The CIL compiler in SELinux 3.2 has a use-after-free in
| __cil_verify_classperms (called from __verify_map_perm_classperms and
| hashtab_map).

https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=31124a
https://github.com/SELinuxProject/selinux/commit/2d35fcc7e9e976a2346b1de20e54f8663e8a6cba
https://github.com/google/oss-fuzz-vulns/blob/main/vulns/selinux/OSV-2021-421.yaml

CVE-2021-36086[2]:
| The CIL compiler in SELinux 3.2 has a use-after-free in
| cil_reset_classpermission (called from cil_reset_classperms_set and
| cil_reset_classperms_list).

https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=32177
https://github.com/SELinuxProject/selinux/commit/c49a8ea09501ad66e799ea41b8154b6770fec2c8
https://github.com/google/oss-fuzz-vulns/blob/main/vulns/selinux/OSV-2021-536.yaml

CVE-2021-36087[3]:
| The CIL compiler in SELinux 3.2 has a heap-based buffer over-read in
| ebitmap_match_any (called indirectly from cil_check_neverallow). NOTE:
| bad0a746e9f4cf260dedba5828d9645d50176aac is cited in the OSV "fixed"
| field but does not have a code change.

https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=32675
https://github.com/SELinuxProject/selinux/commit/bad0a746e9f4cf260dedba5828d9645d50176aac
https://github.com/google/oss-fuzz-vulns/blob/main/vulns/selinux/OSV-2021-585.yaml

[0] https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-36084
[1] https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-36085
[2] https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-36086
[3] https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-36087
Comment 1 John Helmert III gentoo-dev Security 2021-08-24 23:01:20 UTC
Thanks!